<?xml version="1.0" encoding="iso-8859-1" ?>
<!-- Ingeniera de la Informacin, Curso 2006/07 -->
<!-- autores: 
Francisco Javier Prez Pinillos, 100033789
Laura Plaza Ruiz, 100033669 
Ingeniera en Informtica
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="xlink.xsd">
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
				<title>Practica 3: Topic Maps</title>
				<style type="text/css"><![CDATA[          
				body
                { 
                color: #ffffff;
                background: #000000;     
                font-family: Helvetica, Arial
                
                }
                
				a 
				{ color: #ffffff;
				font-size: 13px;
				}
				
				a:hover { color: red }
				]]>
				</style>
			</head>
			<body>
				<center><h3>INDICE</h3></center>
				<h4>Razas</h4>
				
					<xsl:for-each select="topicMap/topic">
						<xsl:sort select="@id" order="ascending" />
						<xsl:if test="instanceOf/topicRef/@xlink:href = 'raza'">
							<xsl:call-template name="terminoIndice" />
						</xsl:if>
					</xsl:for-each>
				
				<h4>Lugares</h4>
				
					<xsl:for-each select="topicMap/topic">
						<xsl:sort select="@id" order="ascending" />
						<xsl:if test="instanceOf/topicRef/@xlink:href = 'area-geografica'">
							<xsl:call-template name="terminoIndice" />
						</xsl:if>
					</xsl:for-each>
				
				<h4>Lenguas</h4>
				
					<xsl:for-each select="topicMap/topic">
						<xsl:sort select="@id" order="ascending" />
						<xsl:if test="instanceOf/topicRef/@xlink:href = 'lengua'">
							<xsl:call-template name="terminoIndice" />
						</xsl:if>
					</xsl:for-each>
				
				<h4>Fortalezas</h4>
				
					<xsl:for-each select="topicMap/topic">
						<xsl:sort select="@id" order="ascending" />
						<xsl:if test="instanceOf/topicRef/@xlink:href = 'fortaleza'">
							<xsl:call-template name="terminoIndice" />
						</xsl:if>
					</xsl:for-each>
				<h4>Indices</h4>
					<a href="ESDLA.xml#IndiceRelaciones" target="derecha">Indice de Relaciones</a><br/>
					<a href="ESDLA.xml#IndiceMultimedia" target="derecha">Indice Multimedia</a>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="terminoIndice" match="topic">
		<xsl:variable name="id_topic" select="@id" />
		<a target="derecha">
			<xsl:attribute name="href">
				<xsl:value-of select="concat('ESDLA.xml#',@id)" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="concat('Ir a ',@id)" />
			</xsl:attribute>
			<xsl:value-of select="baseName/baseNameString" />
		</a>
		<br />
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:sort select="@id" order="ascending" />
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<li>
					<xsl:call-template name="terminoIndice" />
				</li>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>